unit Unit2;

interface

uses
  Classes, SysUtils, IWAppForm, IWApplication, IWColor, IWTypes, IWBSInputForm, IWBSCustomInput, IWBSInput,
  IWBSCustomControl, IWBSControls, IWVCLBaseControl, IWBaseControl, IWBaseHTMLControl, IWControl, IWBSButton,
  Vcl.Controls, Vcl.Forms, IWVCLBaseContainer, IWContainer, IWHTMLContainer, IWHTML40Container, IWRegion,
  IWBSCustomRegion, IWBSRegion, IWVCLComponent, IWBaseLayoutComponent, IWBaseContainerLayout, IWContainerLayout,
  IWBSLayoutMgr, FireDAC.Stan.Intf, FireDAC.Stan.Option, FireDAC.Stan.Param, FireDAC.Stan.Error, FireDAC.DatS,
  FireDAC.Phys.Intf, FireDAC.DApt.Intf, FireDAC.Stan.StorageBin, Data.DB, FireDAC.Comp.DataSet, FireDAC.Comp.Client,
  IWjQGrid, Unit4;

type
  TIWForm2 = class(TIWAppForm)
    IWBSRegion1: TIWBSRegion;
    IWBSRegion2: TIWBSRegion;
    IWBSRegion3: TIWBSRegion;
    IWBSInputForm2: TIWBSInputForm;
    IWBSRegion4: TIWBSRegion;
    IWBSRegion39: TIWBSRegion;
    IWBSRegion35: TIWBSRegion;
    BtnConsultarLinhasPicking: TIWBSButton;
    IWBSRegion43: TIWBSRegion;
    PickingNumber: TIWBSLabel;
    IWBSRegion_OrdemRececao: TIWBSRegion;
    IWBSRegion47: TIWBSRegion;
    DblNumeroRececao: TIWBSSelect;
    IWBSRegion40: TIWBSRegion;
    IWBSRegion45: TIWBSRegion;
    IWBSInputGroup3: TIWBSInputGroup;
    BtnConsultarPickingsFornecedor: TIWBSButton;
    DblFornecedor: TIWBSSelect;
    IWBSRegion24: TIWBSRegion;
    IWBSRegion30: TIWBSRegion;
    IWBSButton2: TIWBSButton;
    IWBSRegion31: TIWBSRegion;
    ArmazemDes: TIWBSLabel;
    IWBSRegion23: TIWBSRegion;
    IWBSLabelTitle: TIWBSLabel;
    IWBSLayoutMgr1: TIWBSLayoutMgr;
    IWBSButton1: TIWBSButton;
    procedure IWBSButton2AsyncClick(Sender: TObject; EventParams: TStringList);
    procedure BtnConsultarLinhasPickingAsyncClick(Sender: TObject; EventParams: TStringList);
    procedure IWAppFormRender(Sender: TObject);
  private
    Frame1: TIWFrame1;
  public
  end;

implementation

uses
  IWBSUtils;

{$R *.dfm}

procedure TIWForm2.BtnConsultarLinhasPickingAsyncClick(Sender: TObject; EventParams: TStringList);
begin
  RenderAsyncEnabled := False;

  Frame1 := TIWFrame1.Create(Self);
  with Frame1 do
  begin
    Name := IWBSGetUniqueComponentName(Self, 'frame_ConsultarLinhasPicking');
    Titulo.Caption := 'Picking n 1';

    FDMemTable1.Open;
    FDMemTable1.AppendRecord([1, 'Linha 1']);
    FDMemTable1.AppendRecord([2, 'Linha 2']);
    FDMemTable1.AppendRecord([3, 'Linha 3']);
    FDMemTable1.AppendRecord([4, 'Linha 4']);
    FDMemTable1.AppendRecord([5, 'Linha 5']);

    IWjQDBGrid1.RefreshAsyncRender;

    Parent := Self;
  end;
end;

procedure TIWForm2.IWAppFormRender(Sender: TObject);
begin
  PageContext.AddBodyScriptFile('/files/funcoes.js');
  PageContext.AddLinkFile('/files/styles.css');
  PageContext.AddBodyScriptFile('https://cdn.jsdelivr.net/npm/bootstrap-select@1.13.18/dist/js/bootstrap-select.min.js');
  PageContext.AddLinkFile('https://cdn.jsdelivr.net/npm/bootstrap-select@1.13.18/dist/css/bootstrap-select.min.css');
end;

procedure TIWForm2.IWBSButton2AsyncClick(Sender: TObject; EventParams: TStringList);
begin
  Release;
end;

end.
