unit Unit3;

interface

uses
  Classes, SysUtils, IWAppForm, IWApplication, IWColor, IWTypes, IWVCLBaseControl, IWBaseControl, IWBaseHTMLControl,
  IWControl, IWBSCustomControl, IWBSButton, Vcl.Controls, Vcl.Forms, IWVCLBaseContainer, IWContainer, IWHTMLContainer,
  IWHTML40Container, IWRegion, IWBSCustomRegion, IWBSRegion, IWVCLComponent, IWBaseLayoutComponent,
  IWBaseContainerLayout, IWContainerLayout, IWBSLayoutMgr;

type
  TIWForm3 = class(TIWAppForm)
    IWBSRegion1: TIWBSRegion;
    IWBSRegion2: TIWBSRegion;
    IWBSRegion24: TIWBSRegion;
    IWBSButton1: TIWBSButton;
    IWBSLayoutMgr1: TIWBSLayoutMgr;
    IWBSRegion3: TIWBSRegion;
    IWBSButton2: TIWBSButton;
    procedure IWBSButton1AsyncClick(Sender: TObject; EventParams: TStringList);
    procedure IWBSButton2AsyncClick(Sender: TObject; EventParams: TStringList);
    procedure IWAppFormRender(Sender: TObject);
  public
  end;

implementation

uses
  Unit1, Unit2;

{$R *.dfm}

procedure TIWForm3.IWAppFormRender(Sender: TObject);
begin
  PageContext.AddBodyScriptFile('/files/funcoes.js');
  PageContext.AddLinkFile('/files/styles.css');
  PageContext.AddBodyScriptFile('https://cdn.jsdelivr.net/npm/bootstrap-select@1.13.18/dist/js/bootstrap-select.min.js');
  PageContext.AddLinkFile('https://cdn.jsdelivr.net/npm/bootstrap-select@1.13.18/dist/css/bootstrap-select.min.css');
end;

procedure TIWForm3.IWBSButton1AsyncClick(Sender: TObject; EventParams: TStringList);
begin
  WebApplication.ShowForm(TIWForm1);
end;

procedure TIWForm3.IWBSButton2AsyncClick(Sender: TObject; EventParams: TStringList);
begin
  WebApplication.ShowForm(TIWForm2);
end;

initialization
  TIWForm3.SetAsMainForm;

end.
